#if !defined(AFX_SETTING_H__FB4E5AEC_F35E_11D6_B6AE_0090997F65F0__INCLUDED_)
#define AFX_SETTING_H__FB4E5AEC_F35E_11D6_B6AE_0090997F65F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Setting.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CSetting ダイアログ

class CDocumentIF;
class CSetting : public CDialog
{
// コンストラクション
public:
	CDocumentIF*	pDocIF;
	CSetting(CWnd* pParent = NULL);   // 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CSetting)
	enum { IDD = IDD_SETTING };
	CStatic	m_PreView;
	CSliderCtrl	m_ctrSliderY;
	CSliderCtrl	m_ctrSliderX;
	BOOL	m_bEnable;
	int		m_iMatrixNumY;
	int		m_iMatrixNumX;
	CString	m_strPreviewX;
	CString	m_strPreviewY;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CSetting)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CSetting)
	afx_msg void OnOk();
	afx_msg void OnCancel();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	virtual BOOL OnInitDialog();
	afx_msg void OnBmpopen();
	afx_msg void OnPaint();
	afx_msg void OnExport();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BITMAP		m_tBitmap;
	CString		m_strFilePassName;
	CBitmap*	m_pBitmap;
	int			m_iPrevPosX;
	int			m_iPrevPosY;
	RECT		m_rectPreview;

	void DrawPreview();
	int GetPreviewSize( double iMatrixNum );
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_SETTING_H__FB4E5AEC_F35E_11D6_B6AE_0090997F65F0__INCLUDED_)
